Fapi_SetDescription(3)

NAME
Fapi_SetDescription - Fapi_SetDescription

SYNOPSIS

  Functions

TSS2_RC Fapi_SetDescription (FAPI_CONTEXT *context, char const *path, char const *description)
TSS2_RC Fapi_SetDescription_Async (FAPI_CONTEXT *context, char const *path, char const *description)
TSS2_RC Fapi_SetDescription_Finish (FAPI_CONTEXT *context)

Detailed Description

FAPI functions to invoke SetDescription either as one-call or in an asynchronous manner.

Function Documentation

  TSS2_RC Fapi_SetDescription (FAPI_CONTEXT * context, char const * path, char const * description)
One-Call function for Fapi_SetDescription

Associates a human readable description with an object in the metadata store.

Parameters
    context The FAPI_CONTEXT
    path The path of the object in the metadata store
    description The description that is associated with the object. May be NULL

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context or path is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_PATH if path does not map to a FAPI entity.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_FAPI_RC_TRY_AGAIN if an I/O operation is not finished yet and this function needs to be called again.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.

  TSS2_RC Fapi_SetDescription_Async (FAPI_CONTEXT * context, char const * path, char const * description)
Asynchronous function for Fapi_SetDescription

Associates a human readable description with an object in the metadata store.

Call Fapi_SetDescription_Finish to finish the execution of this command.

Parameters
    context The FAPI_CONTEXT
    path The path of the object in the metadata store
    description The description that is associated with the object. May be NULL

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context or path is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_PATH if path does not map to a FAPI entity.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.

  TSS2_RC Fapi_SetDescription_Finish (FAPI_CONTEXT * context)
Asynchronous finish function for Fapi_SetDescription

This function should be called after a previous Fapi_SetDescription_Async.

Parameters
    context The FAPI_CONTEXT

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_PATH_NOT_FOUND If no file is found after pathname expansion.
    TSS2_FAPI_RC_TRY_AGAIN if the asynchronous operation is not yet complete. Call this function again later.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_BAD_PATH if the path is used in inappropriate context or contains illegal characters.

Author

Generated automatically by Doxygen for tpm2-tss from the source code.